/*
 * III Mistrzostwa Wielkopolski w Programowaniu Zespolowym
 * Poznan, 2-3.XII.2005
 *
 * Rozwiazanie wzorcowe do zadania Y - Laboratorium badawcze
 * Zlozonosc: O(N)
 *
 * Autor programu: Rafa Witkowski
 */

#include <stdio.h>
#include <string.h>
#include <malloc.h>

#define MAX 10010
#define min(a,b) ((a)<(b)?(a)b))
#define max(a,b) ((a)>(b)?(a)b))

char *s[MAX+10];
char t[100000];

int pomnoz(char* a, char* b)
{
  int da,db,d;
  int x;
  int wynik[100000];
  int i,j;

  da=strlen(a); db=strlen(b);
  for (i=0; i<=da+db; i++) wynik[i]=0;
  for (i=0; i<da; i++)
  {
  	for (j=0; j<db; j++)
  	{
      wynik[j+i] += ((a[i]-48)*(b[j]-48)%10);
      wynik[j+i+1] += ((a[i]-48)*(b[j]-48)/10);
  	}
  }
  for (i=0; i<=da+db; i++)
  {
  	wynik[i+1] += wynik[i]/10;
  	wynik[i] %= 10;
  }
  i=da+db;
  while (wynik[i]==0) i--;
  while (i>=0) printf("%d",wynik[i--]);
  printf("\n");
  return 0;
}

char *add( char *a, char *b )
{
  int a_len=strlen(a);
  int b_len=strlen(b);
  int n_len=a_len;
  int p=0;

  for (int i=0;i<b_len;i++)
  {
    int c=(a[i]-'0')+(b[i]-'0')+p;
    t[i]=(c%10)+'0';
    p=c/10;
  }
  for (int i=b_len;i<a_len;i++)
  {
    int c=(a[i]-'0')+p;
    t[i]=(c%10)+'0';
    p=c/10;
  }
  if (p==0) t[a_len]=0;
  else
  {
    t[a_len]=p+'0';
    t[a_len+1]=0;
    n_len++;
  }

  char *s=(char*)malloc(n_len+1);
  strcpy(s,t);

  return s;
}

int main()
{
  int z;
  int k, n, l;

  s[0]="1";
  s[1]="1";
  for (k=2;k<MAX;k++) s[k]=add(s[k-1],s[k-2]);

  scanf("%d",&z);
  while (z--) {
    scanf("%d",&n);
    pomnoz(s[n],s[n+1]);
  }

  return 0;
}

